body { font-family: Arial; margin:0; background:#f5f7fa }

header {
  background:#0a2540;
  color:white;
  text-align:center;
  padding:20px;
  height: fit-content;
  font-size: 2rem;
}

header h1{
  font-size: 1.8rem;
}
header p{
  font-size: 1rem;
}

nav {
  display:flex;
 justify-content: center;
 flex-wrap: wrap;
  gap:10px;
  background-color: #03396e;
}

nav a {
  color:rgb(12, 12, 12);
  margin:10px;
  padding:0 5px;
  text-decoration:none;
  font-weight:bold;
  font-size: 1.5rem;
  background-color: rgb(252, 248, 7);
  border-radius: 10px;
}

nav a:hover{
  background-color: #25D366;
}

.container { padding:20px }

.grid {
  display:grid;
  grid-template-columns:repeat(auto-fit,minmax(250px,300px));
  justify-content: center;
  gap:20px;
}
.card {
  border-radius:10px;
  overflow:hidden;
  box-shadow:0 2px 8px rgba(0,0,0,0.1);
  display: flex;
  flex-direction: column;
  height: 100%;
  cursor: pointer;
}

.card img {
  width:100%;
  height:85%;
  object-fit:cover;
  margin-top: 0;
}

.card-content { padding:5px;
 display:flex;
  flex-direction:column;
  justify-content:space-between;
  flex-grow:1;
}

.card-content button {
  margin-top: auto;
}

.title-row {
  display:flex;
  justify-content:space-between;
  align-items:center;
}

.info-btn {
  background:#0a2540;
  color:white;
  border:none;
  padding:5px 8px;
  border-radius:5px;
  cursor:pointer;
  font-size:16px;
  width: 30%;
}

button {
  background:#25D366;
  color:white;
  padding:10px;
  border:none;
  width:100%;
  border-radius:5px;
  margin-top:10px;
  cursor: pointer;
  font-size: 1.2rem;
}

button:hover{
  background-color: orangered;
}

/* modal */
.modal {
  display:none;
  position:fixed;
  top:0; left:0;
  width:100%; height:100%;
  background:rgba(0,0,0,0.8);
  justify-content:center;
  align-items:center;
}

.modal img {
  max-width:90%;
  max-height:80%;
}

.close, .close-order, .close-info {
  position:absolute;
  top:20px;
  right:30px;
  color:white;
  font-size:30px;
  cursor:pointer;
}

.modal-box {
  background:white;
  padding:20px;
  border-radius:10px;
  width:90%;
  max-width:400px;
}

.modal-box input {
  width:100%;
  margin:5px 0;
  padding:10px;
}

.floating-wa {
  position:fixed;
  bottom:20px;
  right:20px;
  background:#25D366;
  padding:15px;
  border-radius:50%;
  color:white;
}

#logo{
  width: 80px;
  height: 80px;
  position:absolute;
  left: 10px;
  top: 10px;
  object-fit: contain;
 border-radius: 10px;
}

footer{
  display: block;
  background:#0a2540;
  color:white;
  text-align:center;
  font-size: 1.2rem;
  padding-top: 5px;
  padding-bottom: 0;
}
.div1{
  margin: 5px 0 0 0;
}
footer a{
  text-decoration: none;
  color: orangered;
  background-color: #f5f7fa;
}


#face{
display: block;
  width:50px;
  height:60px;
  margin: 0;
  background-color: white;
  border-radius: 10px;
margin: 0 auto;
}

.footer {
  background: linear-gradient(135deg, #0a2540, #020617);
  color: #fff;
  margin-top: 50px;
}

.footer-container {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
  gap: 30px;
  padding: 40px 20px;
}

.footer-logo {
  font-size: 22px;
  margin-bottom: 10px;
}

.footer-section h3 {
  margin-bottom: 15px;
  font-size: 16px;
  color: #00a86b;
}

.footer-section p {
  font-size: 14px;
  color: #cbd5e1;
  line-height: 1.6;
}

.footer-section ul {
  list-style: none;
  padding: 0;
}

.footer-section ul li {
  margin-bottom: 8px;
}

.footer-section ul li a {
  text-decoration: none;
  transition: 0.3s;
  background-color: whitesmoke;
  color: black;
}

.footer-section ul li a:hover {
  color: #00a86b;
  padding-left: 5px;
}

.footer-btn {
  display: inline-block;
  margin-top: 10px;
  background: #25D366;
  color: white;
  padding: 10px 15px;
  border-radius: 8px;
  text-decoration: none;
  font-weight: bold;
  transition: 0.3s;
}

.footer-btn:hover {
  background: #1ebe5d;
  transform: translateY(-2px);
}

.footer-bottom {
  text-align: center;
  padding: 15px;
  border-top: 1px solid rgba(255,255,255,0.1);
  font-size: 13px;
  color: #94a3b8;
}

.promo-bar {
  background: #fc0303;
  color: black;
  overflow: hidden;
  white-space: nowrap;
  font-weight: bold;
  font-size: 0.9rem;
}

.promo-content {
  display: inline-block;
  padding-left: 100%;
  animation: defilement 30s linear infinite;
}

@keyframes defilement {
  0% {
    transform: translateX(0);
  }
  100% {
    transform: translateX(-100%);
  }
}

.container h2{
  text-align: center;
  background-color: #0a2540;
  color: white;
  padding: 5px;
}

#orderModal button{
  width:100%;
  padding:12px;
  background:green;
  color:white;
  border:none;
  border-radius:8px;
  margin-top:15px;
  font-size:16px;
  cursor:pointer;
}

#orderModal{
  display:none;
  position:fixed;
  top:0;
  left:0;
  width:100%;
  height:100%;
  background:rgba(0,0,0,0.7);
  justify-content:center;
  align-items:center;
  z-index:9999;
}

#orderModal .modal-content{
  background:#fff;
  width:90%;
  max-width:400px;

  max-height:90vh; /* IMPORTANT */
  overflow-y:auto; /* IMPORTANT */

  padding:20px;
  border-radius:10px;
}

#produits-form{
  max-height:300px;
  overflow-y:auto;
}
